---
- hosts: tosw-ng-2019.theopensourceway.org
  vars:
    data_dir: "{{ inventory_dir }}/data/tenants/tosw"
  tasks:
    - name: "Create swap"
      include_role:
        name: swap_file
      vars:
        size: 1G
        path: /var/swap
    - name: "Install Mailing-lists"
      include_role:
        name: mailing_lists_server
      vars:
        display_name: "The opensourceway 2.0 List Archives"
        webui_vhost: lists.theopensourceway.org
        domain: theopensourceway.org
        # display lists from all domains on the single vhost
        multi_domains: False
        # caught by underlying 'postfix' role
        myorigin: theopensourceway.org
        admin_users:
          - duck
          - misc
          - quaid
        mail_aliases:
          root: "{{ ['root'] + comminfra_tech_emails }}"
          listmaster: root
          maintainer: "{{ tosw_maintainer_emails }}"
        use_simple_tls: True
        with_fedora_auth: True
        whitelist_clients:
          - redhat.com
  tags: mailinglists
